/*! 
 * @file gui_element.h
  *  Definition of ...

*/

#ifndef _GUI_ELEMENT_H
#define _GUI_ELEMENT_H

class Widget;

//! A SuperClass for all the Different GuiElements
class GuiElement {

 public:
  GuiElement();
  virtual ~GuiElement();
  
  /** @returns the main Widget of this GuiElement. */
  Widget* getWidget() {return this->mainWidget;}
 protected:
  void setMainWidget(Widget* widget);
  
 private:
  Widget* mainWidget;
};

#endif /* _GUI_ELEMENT_H */
