/*!
 * @file aiming_turret.h
*/


#ifndef _AIMING_TURRET_H
#define _AIMING_TURRET_H

#include "weapon.h"

/* FORWARD DECLARATION */
class Aim;

class AimingTurret : public Weapon
  {
  public:
    AimingTurret ();
    AimingTurret(const TiXmlElement* root);
    virtual ~AimingTurret ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    virtual void activate();
    virtual void deactivate();

    virtual void tick(float dt);
    virtual void fire();
    virtual void destroy();

    virtual void draw() const;

  private:
    Aim*          target;
  };

#endif /* _AIMING_TURRET_H */
