/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Patrick Boenzli
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_COLLISION

#include "bounding_volume.h"
#include "vector.h"

using namespace std;


/**
 *  standard constructor
*/
BoundingVolume::BoundingVolume ()
{
   this->setClassID(CL_BOUNDING_VOLUME, "BoundingVolume");
   this->center = new Vector();
   this->bOrigVertices = true;
   this->vertices = NULL;
}


/**
 *  standard deconstructor

*/
BoundingVolume::~BoundingVolume ()
{
  // delete what has to be deleted here
  delete this->center;

  if( this->vertices && !this->bOrigVertices)
    delete[] this->vertices;
}
