/*! 
 * @file track_node.h
  *  Definition of the TrackNode are located here
    
    the TrackNode is the node, that follows the Track (and the TrackManager) 
    through the level.
    Under normal confitions the Plyaer(s) are 
*/


#ifndef _TRACK_NODE_H
#define _TRACK_NODE_H

#include "p_node.h"

/* FORWARD DECLARATION */
class TrackManager;

//! A node that follows the track.
class TrackNode : public PNode 
{

 public:
  TrackNode ();
  virtual ~TrackNode ();

 private:
  TrackManager* trackManager;         //!< reference to the TrackManager

};

#endif /* _TRACK_NODE_H */
