/*
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Benjamin Grauer
   co-programmer: ...
*/

#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY

#include "building.h"

#include "load_param.h"
#include "factory.h"

using namespace std;


CREATE_FACTORY(Building, CL_BUILDING);

/**
 *  initializes a skybox from a XmlElement
*/
Building::Building(const TiXmlElement* root)
{
  this->setClassID(CL_BUILDING, "Building");
  this->toList(OM_ENVIRON_NOTICK);

  if (root != NULL)
    this->loadParams(root);
}


/**
 *  default destructor
*/
Building::~Building()
{
}


